Subject: Re: [PATCH 2/5] builtin/config.c: support `--type=<type>` as preferred alias for `--type`

From: Taylor Blau <[email-masked]>
Date: Wed, 25 Apr 2018 23:00:23 -0700

On Thu, Apr 26, 2018 at 02:25:44PM +0900, Junio C Hamano wrote:
> Taylor Blau <[email-masked]> writes:
>
> > Subject: Re: [PATCH 2/5] builtin/config.c: support `--type=<type>` as preferred alias for `--type`
>
> I'd retitle while queuing, as the last 'type' is a placeholder for
> concrete types like <type> above.

Good idea. I amended v2 in this fashion.

> > +...
> > +	new_type = opt->defval;
> > +	if (!new_type) {
> > +...
> > +	}
> > +
> > +	*to_type = opt->value;
>
> But this is wrong, no?  You meant opt->value points at an integer
> variable that receives the type we discover by parsing, i.e.
>
> 	to_type = opt->value;

Oof. You're absolutely right. I fixed this and moved the assignment to
the declaration at the top of this function.

Thanks,
Taylor